/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * dlg_decor.cpp
 *
 * Implementation of dialog for changing decoration size
 *
 * Jan Huben (xhubeny@fi.muni.cz) 2006
 * Ondrej Danek (xdanek2@fi.muni.cz) 2007
 */

#include "v4d_basic.h"
#include "dlg_decor.h"
#include "wdr/dlg_decor_wdr.h"
#include "wxtools.h"

#ifdef _DEBUG
    #define new DEBUG_NEW
#endif

namespace v4d {

    /*******************************************************************/

    DecorationDialog::DecorationDialog(wxWindow *parent, long int & val):
	wxDialog(parent, -1, "Save view", wxDefaultPosition, wxDefaultSize),m_value(val)
	{
		DecorationDialogFunc(this);

		m_decor_ctrl = (wxTextCtrl *) FindWindow(ID_TEXTCTRL_DECOR);
        m_radio_ctrl = (wxRadioBox *) FindWindow(ID_RADIOBOX_PROJECTION);

		m_decor_ctrl -> SetValidator(LongValidator(m_value));
		m_decor_ctrl -> Connect(wxEVT_KILL_FOCUS, wxFocusEventHandler(DecorationDialog::OnKillFocus), NULL, this);
        m_radio_ctrl->SetSelection (3);
	}

    /*******************************************************************/

	void DecorationDialog::OnKillFocus(wxFocusEvent &event)
	{
	    this->Validate();
	}

    /*******************************************************************/

    v4d_ProjectionType DecorationDialog::GetSelectedProjection ()
    {
        v4d_ProjectionType convert[4] = { pt_XY, pt_XZ, pt_YZ, pt_All };

        return convert[m_radio_ctrl->GetSelection ()];
    }
}

