/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * dlg_decor.h
 *
 * Dialog for changing the size of decoration
 *
 * Jan Huben xhubeny@fi.muni.cz) 2006
 */

#ifndef V4D_DLG_DECOR_H
#define V4D_DLG_DECOR_H

#include "types/projections.h"
#include "dlg_exportsequence.h"

namespace v4d 
{
	/** The main widget for Adjust Levels dialog. */
	class DecorationDialog: public wxDialog
	{
	  public:
		/** Constructor. */
		DecorationDialog(wxWindow *parent, long int & val);
		
        /** Destructor. */
		~DecorationDialog() 
        {}

		/** Function called when a wxTextCtrl losing focus. */
		void OnKillFocus(wxFocusEvent &event);
        /** Get the selected projection */
        v4d_ProjectionType GetSelectedProjection ();

	  private:
		/** The pointer to text control for resolution in x axis. */
		wxTextCtrl *m_decor_ctrl;
        wxRadioBox *m_radio_ctrl;
		long int & m_value;
	
   	    //DECLARE_EVENT_TABLE()
	};
}

#endif
