/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
* dlg_gallery.h
*
* Dialog for getting gallery parameters
*
* Marek Vinkler 172521@mail.muni.cz) 2009
*/

#ifndef V4D_DLG_GALLERY_H
#define V4D_DLG_GALLERY_H

#include "dlg_exportsequence.h"

namespace v4d
{
	/** The main widget for Adjust Levels dialog. */
	class GalleryDialog: public wxDialog
	{
	public:
		/** Constructor */
		GalleryDialog(wxWindow *parent, int imageMax);
		/** Destructor */
		~GalleryDialog(); 
		/** Get the selected offset */
		int GetStartOffset();
		/** Get the selected offset */
		int GetEndOffset();
		/** Get the selected step */
		int GetStep();
		/** Are rows or columns fixed */
		bool IsFixedRows();
		/** Get the selected row/column count */
		int GetCount();
		/** Get the selected spacing */
		int GetSpacing();

	private:
		/** User pressed OK */
		void OnOK(wxCommandEvent &evt);

		DECLARE_EVENT_TABLE();
	};
}

#endif
