/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * dlg_set_range.h
 *
 * This file defines set range dialog
 *
 * Pavel Matula (pam@fi.muni.cz) 2007
 *
 */

#ifndef V4D_DLG_SET_RANGE_H
#define V4D_DLG_SET_RANGE_H

#include <vector>
#include <i3d/basic.h>
#include "v4d_impexp.h"

namespace v4d 
{
	/** Show set range dialog. User can set range (specified by values min_value and max_value) within interval 
		[min_limit, max_limit] 
		\return true if user clicked on OK button and new values of min_values and max_values are set
		\return false if the user clicked Cancel button. min_value and max_ value are unchanged.
	*/
	V4D_DLLEXPORT bool GetLongRangeFromUser(wxWindow *parent, long min_limit, long max_limit, long &min_value, long &max_value);
	V4D_DLLEXPORT bool GetFloatRangeFromUser(wxWindow *parent, float min_limit, float max_limit, float &min_value, float &max_value);
	template <class T> V4D_DLLEXPORT bool GetRGBRangeFromUser(wxWindow *parent, i3d::RGB_generic<T> min_limit, 
		i3d::RGB_generic<T> max_limit, i3d::RGB_generic<T> &min_value, i3d::RGB_generic<T> &max_value); 
}

#endif

