/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * mycursors.h
 *
 * Some cursors
 *
 * Petr Matula (pem@fi.muni.cz) 2006
 */

#include "v4d_basic.h"
#include <wx/image.h>
#include <wx/bitmap.h>
#include "mycursors.h"

#ifdef _DEBUG
    #define new DEBUG_NEW
#endif

namespace v4d
{
    wxCursor MyCursorsFunc( size_t index )
    {
        if (index == v4d_CURSOR_CROSS)
        {
        #ifdef _MSC_VER
            /* XPM */
            static const char *xpm_data[] = {
                /* columns rows colors chars-per-pixel */
                "15 15 3 1",
                "  c None",
                "a c Black",
                "b c #FFFFFF",
                /* pixels */
                "       a       ",
                "      aba      ",
                "      aba      ",
                "      aba      ",
                "      aba      ",
                "      aba      ",
                " aaaaab baaaaa ",
                "abbbbb   bbbbba",
                " aaaaab baaaaa ",
                "      aba      ",
                "      aba      ",
                "      aba      ",
                "      aba      ",
                "      aba      ",
                "       a       "
            };
            wxImage img = wxBitmap(xpm_data).ConvertToImage();
            img.SetOption(wxIMAGE_OPTION_CUR_HOTSPOT_X, 8);
            img.SetOption(wxIMAGE_OPTION_CUR_HOTSPOT_Y, 8);
            wxCursor cursor = wxCursor(img);
        #else
            wxCursor cursor = wxCursor(wxCURSOR_CROSS);
        #endif
            return cursor;
        }
        return wxNullCursor;
    }
}

