/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
* palette.h
*
* Palettes
*
* Petr Matula (pem@fi.muni.cz) 2006
*/

#ifndef V4D_PALETTE_H
#define V4D_PALETTE_H

#include <i3d/basic.h>
#include <vector>

namespace v4d 
{
	enum {
		v4dPAL_LABELS,
		v4dPAL_SATURATION,
		v4dPAL_PERIODIC,
		v4dPAL_OVERLAY,
		v4dPAL_GRAY,
	};


	typedef std::vector<i3d::RGB> v4d_Palette;

	bool LoadPalette(v4d_Palette &pal, const wxString &fname);

	void v4d_GetPalette(size_t idx, v4d_Palette &pal);
}

#endif

