/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * pref.h
 *
 * Class encapsulating preferences of all v4d windows
 *
 * Martin Maka (xmaska@fi.muni.cz) 2006
 * 
 */

#ifndef __PREF_H__
#define __PREF_H__

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/colourdata.h>

namespace v4d {

class v4d_Preferences
{
  private:
	/** Colour palette with user defined colours. This palette should 
	    be used with any instance of wxColourDialog class. */
	static wxColourData m_colour_palette;
    
  public:
	/** Constructor. */
	v4d_Preferences() {};
	/** Destructor. */
	~v4d_Preferences() {};
    /** Get colour palette. */
	static void GetColourPalette(wxColourData &palette) { palette = m_colour_palette; };
	/** Set colour palette. */
	static void SetColourPalette(const wxColourData &palette) { m_colour_palette = palette; };
};

} // namespace v4d

#endif

