/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * extension.h
 *
 * Abstract extension modules
 *
 * Petr Matula (pem@fi.muni.cz) 2006
 */


#ifndef V4D_TYPES_EXTENSION_H
#define V4D_TYPES_EXTENSION_H

#include <wx/event.h>
#include <wx/menu.h>

namespace v4d 
{
    /** v4d_ExtensionModule is a base class that can extend functionality of a frame
        with a certain functionality. */
    class v4d_ExtensionModule 
        : public wxEvtHandler
    {
    private:
        int m_first_menu_id;
        wxFrame *m_parent;

    public:
        /** */
        v4d_ExtensionModule(wxFrame *parent) : m_first_menu_id(0), m_parent(parent) 
        {}

        virtual ~v4d_ExtensionModule() 
        {}

        wxFrame *GetParent() { return m_parent; }
        void SetModuleParent(wxFrame *parent) { m_parent = parent; }

        virtual wxMenu* CreateMenu(int &last_menu_id) = 0;
        void SetFirstMenuId(int id) { m_first_menu_id = id; }
        int GetCommandId(int menu_id) { return  menu_id - m_first_menu_id; }
        int GetMenuId(int command_id) { return command_id + m_first_menu_id; }
    };
}

#endif
