/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * luts.h
 *
 * Look-up tables
 *
 * Petr Matula (pem@fi.muni.cz) 2006
 */


#ifndef __TYPES_LUTS_H
#define __TYPES_LUTS_H

#include <hrca_lut.h>

namespace v4d {

	struct LUTs {
		bool show_red;
		bool show_green;
		bool show_blue;
		i3d::HRCA_LUT<i3d::GRAY8, i3d::GRAY8> red;
		i3d::HRCA_LUT<i3d::GRAY8, i3d::GRAY8> green;
		i3d::HRCA_LUT<i3d::GRAY8, i3d::GRAY8> blue;
		i3d::HRCA_LUT<i3d::GRAY8, i3d::GRAY8> null;
	};

}
#endif
