/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * mapper.h
 *
 * Abstract mapper
 *
 * Petr Matula (pem@fi.muni.cz) 2006
 * Pavel Matula (pam@fi.muni.cz) 2006
 */


#ifndef V4D_TYPES_MAPPER_H
#define V4D_TYPES_MAPPER_H

#include "buffer2d.h"

namespace v4d 
{
	template <class T> 
    class v4d_Mapper
	{
	public:
        /** Constructor. */
		v4d_Mapper() 
        {}

        /** Destructor. */
		virtual ~v4d_Mapper() 
        {}

		virtual void Map(const T *src, Buffer2d<i3d::RGB> &buf) const = 0;
	};
}

#endif
