#ifndef V4D_PROJECTIONANNOTATIONSTYLE_H
#define V4D_PROJECTIONANNOTATIONSTYLE_H

#include <wx/colour.h>
#include "textposition.h"

namespace v4d
{

	/** Projection annotation style */
	struct v4d_ProjectionAnnotationStyle
	{
		/** Text for XY annotation */
		wxString xyText;
		/** Text for XZ annotation */
		wxString xzText;
		/** Text for YZ annotation */
		wxString yzText;
		/** Colour of the annotation */

		/** Position of the XY annotation */
		v4d_TextPosition xyTextPos;
		/** Position of the XZ annotation */
		v4d_TextPosition xzTextPos;
		/** Position of the YZ annotation */
		v4d_TextPosition yzTextPos;

		/** Offset of the XY annotation */
		wxPoint xyOffset;
		/** Offset of the XZ annotation */
		wxPoint xzOffset;
		/** Offset of the YZ annotation */
		wxPoint yzOffset;

		wxColour colour;
		/** Font of the annotation */
		wxFont font;

		/** Default constructor */
		v4d_ProjectionAnnotationStyle(wxString xyT = "XY", wxString xzT = "XZ", wxString yzT = "YZ",
			v4d_TextPosition xyPos = tp_TOP_LEFT, v4d_TextPosition xzPos = tp_TOP_LEFT, v4d_TextPosition yzPos = tp_TOP_LEFT,
			wxPoint xyTextO = wxPoint(5, 5), wxPoint xzTextO = wxPoint(5, 5), wxPoint yzTextO = wxPoint(5, 5),
			const wxColour &col = wxColour(255, 255, 255), const wxFont &f = wxFont(10, wxFONTFAMILY_SWISS, wxFONTSTYLE_NORMAL, wxFONTWEIGHT_BOLD))
			: xyText(xyT), xzText(xzT), yzText(yzT), xyTextPos(xyPos), xzTextPos(xzPos), yzTextPos(yzPos), 
			xyOffset(xyTextO), xzOffset(xzTextO), yzOffset(yzTextO), colour(col), font(f)
		{}
	};

}

#endif