#ifndef V4D_SCALEBARSTYLE_H
#define V4D_SCALEBARSTYLE_H

#include <wx/colour.h>
#include <wx/gdicmn.h>
#include "textposition.h"

namespace v4d
{

	/** Scale bar style */
	struct v4d_ScaleBarStyle
	{
		/** Length of scale bar in microns */
		float length;
		/** Width of scale bar in pixels */
		int width;
		/** Colour of scale bar */
		wxColour colour;
		/** Position of the scale bar */
		v4d_TextPosition corner;
		/** Offset of scale bar's position */
		wxPoint offset;

		/** Default constructor */
		v4d_ScaleBarStyle(float length = 1, int width = 2, wxColour colour = wxColour(255, 255, 255), 
			v4d_TextPosition corner = tp_BOTTOM_LEFT, wxPoint offset = wxPoint(10, 10)) 
			: length(length), width(width), colour(colour), corner(corner), offset(offset)
		{}
	};

}

#endif
