#ifndef V4D_TIMEBARSTYLE_H
#define V4D_TIMEBARSTYLE_H

#include <wx/colour.h>
#include <wx/gdicmn.h>
#include "textposition.h"

namespace v4d
{

	/** Tibe bar style */
	struct v4d_TimeBarStyle
	{
		/** Length of time bar in pixels */
		int length;
		/** Width of time bar in pixels */
		int width;
		/** Colour of time bar */
		wxColour colour;
		/** Position of the time bar */
		v4d_TextPosition corner;
		/** Offset of time bar's position */
		wxPoint offset;

		/** Default constructor */
		v4d_TimeBarStyle(int length = 50, int width = 2, wxColour colour = wxColour(255, 255, 255),
			v4d_TextPosition corner = tp_BOTTOM_RIGHT, wxPoint offset = wxPoint(10, 10))
			: length(length), width(width), colour(colour), corner(corner), offset(offset)
		{}
	};

}

#endif