/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * Common include files and memory allocation debugging
 *
 * Ondrej Danek (xdanek2@fi.muni.cz)
 */

#ifndef V4D_V4D_BASIC_H
#define V4D_V4D_BASIC_H

// For compilers with support for precompilation
#include <wx/wxprec.h>

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

// Debug memory allocation enhancement 
#ifdef _MSC_VER
    #ifdef _DEBUG
	    #include <crtdbg.h>
	    #define DEBUG_NEW new(_NORMAL_BLOCK, __FILE__, __LINE__)
    #else
	    #define DEBUG_NEW new
    #endif
#else
    #define DEBUG_NEW new
#endif

#endif
