/*
 *  v4dwins
 *
 *  Copyright (C) 2006 - 2009   Centre for Biomedical Image Analysis (CBIA)
 * 
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 * 
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*-*-c++-*-
 * v4d_impexp.h
 *
 * DLL import/export macro
 *
 * Ondrej Danek (xdanek2@fi.muni.cz) 2008
 */
#ifndef V4D_V4D_IMPEXP_H
#define V4D_V4D_IMPEXP_H

#if defined(_MSC_VER) // MSVC.NET compiler
#	if defined(V4DLIB_EXPORT)                     // export symbols (when creating shared library)
#		define V4D_DLLEXPORT __declspec(dllexport)
#		define V4D_DLLEXPORT_DATA(type) __declspec(dllexport) type
#   else  // import symbols (when using library)
#		define V4D_DLLEXPORT __declspec(dllimport)
#		define V4D_DLLEXPORT_DATA(type) __declspec(dllimport) type
#   endif
#
#	if defined(AFLIB_EXPORT)                      // export symbols (when creating shared library)
#		define AFL_DLLEXPORT __declspec(dllexport)
#		define AFL_DLLEXPORT_DATA(type) __declspec(dllexport) type
#	else  // import symbols (when using library)
#		define AFL_DLLEXPORT __declspec(dllimport)
#		define AFL_DLLEXPORT_DATA(type) __declspec(dllimport) type
#   endif
#else // compiler doesn't support __declspec(), e.g. Linux gcc
#	define V4D_DLLEXPORT
#	define V4D_DLLEXPORT_DATA(type) type
#	define AFL_DLLEXPORT
#	define AFL_DLLEXPORT_DATA(type) type
#endif

#endif
